org.apache.solr.spelling

## Enum WordBreakSolrSpellChecker.BreakSuggestionTieBreaker

- java.lang.Object
- - java.lang.Enum<WordBreakSolrSpellChecker.BreakSuggestionTieBreaker>
  - - org.apache.solr.spelling.WordBreakSolrSpellChecker.BreakSuggestionTieBreaker

- All Implemented Interfaces:
    Serializable, Comparable<WordBreakSolrSpellChecker.BreakSuggestionTieBreaker>
  Enclosing class:
    WordBreakSolrSpellChecker

      public static enum WordBreakSolrSpellChecker.BreakSuggestionTieBreaker
      extends Enum<WordBreakSolrSpellChecker.BreakSuggestionTieBreaker>

  Specify a value on the "breakSugestionTieBreaker" parameter. The default is MAX_FREQ.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAX_FREQ` See `WordBreakSpellChecker.BreakSuggestionSortMethod.NUM_CHANGES_THEN_MAX_FREQUENCY` #
    `SUM_FREQ` See `WordBreakSpellChecker.BreakSuggestionSortMethod.NUM_CHANGES_THEN_SUMMED_FREQUENCY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WordBreakSolrSpellChecker.BreakSuggestionTieBreaker` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WordBreakSolrSpellChecker.BreakSuggestionTieBreaker[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAX_FREQ

          public static final WordBreakSolrSpellChecker.BreakSuggestionTieBreaker MAX_FREQ

      See `WordBreakSpellChecker.BreakSuggestionSortMethod.NUM_CHANGES_THEN_MAX_FREQUENCY` #

    - #### SUM_FREQ

          public static final WordBreakSolrSpellChecker.BreakSuggestionTieBreaker SUM_FREQ

      See `WordBreakSpellChecker.BreakSuggestionSortMethod.NUM_CHANGES_THEN_SUMMED_FREQUENCY`

  - ### Method Detail

    - #### values

          public static WordBreakSolrSpellChecker.BreakSuggestionTieBreaker[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WordBreakSolrSpellChecker.BreakSuggestionTieBreaker c : WordBreakSolrSpellChecker.BreakSuggestionTieBreaker.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WordBreakSolrSpellChecker.BreakSuggestionTieBreaker valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.